E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::ServerParser::Config Struct Reference

A configuration structure for GSmtp::ServerParser. More...

`#include <gsmtpserverparser.h>`

Collaboration diagram for GSmtp::ServerParser::Config:
[legend]

## Public Member Functions
Config & | set_allow_spaces (bool b=true) noexcept
Config & | set_allow_nobrackets (bool b=true) noexcept
Config & | set_alabels (bool b=true) noexcept
Config & | set_allow_spaces_help (const std::string &)
Config & | set_allow_nobrackets_help (const std::string &)

## Public Attributes
bool | allow_spaces {false}
bool | allow_nobrackets {false}
bool | alabels {false}
std::string | allow_spaces_help
std::string | allow_nobrackets_help

## Detailed Description

A configuration structure for GSmtp::ServerParser.

Definition at line 43 of file gsmtpserverparser.h.

## Member Function Documentation

## ◆ set_alabels()

GSmtp::ServerParser::Config & GSmtp::ServerParser::Config::set_alabels | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 110 of file gsmtpserverparser.h.

## ◆ set_allow_nobrackets()

GSmtp::ServerParser::Config & GSmtp::ServerParser::Config::set_allow_nobrackets | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 109 of file gsmtpserverparser.h.

## ◆ set_allow_nobrackets_help()

GSmtp::ServerParser::Config & GSmtp::ServerParser::Config::set_allow_nobrackets_help | ( | const std::string & | s | ) |
| inline

Definition at line 112 of file gsmtpserverparser.h.

## ◆ set_allow_spaces()

GSmtp::ServerParser::Config & GSmtp::ServerParser::Config::set_allow_spaces | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 108 of file gsmtpserverparser.h.

## ◆ set_allow_spaces_help()

GSmtp::ServerParser::Config & GSmtp::ServerParser::Config::set_allow_spaces_help | ( | const std::string & | s | ) |
| inline

Definition at line 111 of file gsmtpserverparser.h.

## Member Data Documentation

## ◆ alabels

bool GSmtp::ServerParser::Config::alabels {false}

Definition at line 47 of file gsmtpserverparser.h.

## ◆ allow_nobrackets

bool GSmtp::ServerParser::Config::allow_nobrackets {false}

Definition at line 46 of file gsmtpserverparser.h.

## ◆ allow_nobrackets_help

std::string GSmtp::ServerParser::Config::allow_nobrackets_help

Definition at line 49 of file gsmtpserverparser.h.

## ◆ allow_spaces

bool GSmtp::ServerParser::Config::allow_spaces {false}

Definition at line 45 of file gsmtpserverparser.h.

## ◆ allow_spaces_help

std::string GSmtp::ServerParser::Config::allow_spaces_help

Definition at line 48 of file gsmtpserverparser.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpserverparser.h